Project Chrono: chrono::robosimian::RS_Sled Class Reference

Public Member Functions | Friends | List of all members
chrono::robosimian::RS_Sled Class Reference
Models » Robot models » RoboSimian legged robot model

## Description

RoboSimian sled (attached to chassis).

`#include <RoboSimian.h>`

Inheritance diagram for chrono::robosimian::RS_Sled:
[legend]
Collaboration diagram for chrono::robosimian::RS_Sled:
[legend]

## Public Member Functions
| RS_Sled (const std::string &name, std::shared_ptr< ChContactMaterial > mat, chrono::ChSystem *system)
void | Initialize (std::shared_ptr< chrono::ChBodyAuxRef > chassis, const chrono::ChVector3d &xyz, const chrono::ChVector3d &rpy)
| Initialize the sled at the specified position (relative to the chassis).
void | EnableCollision (bool state)
| Enable/disable collision for the sled (default: true).
Public Member Functions inherited from chrono::robosimian::RS_Part
| RS_Part (const std::string &name, std::shared_ptr< ChContactMaterial > mat, chrono::ChSystem *system)
const std::string & | GetName () const
void | SetName (const std::string &name)
void | SetVisualizationType (VisualizationType vis)
std::shared_ptr< chrono::ChBodyAuxRef > | GetBody () const
const chrono::ChVector3d & | GetPos () const
const chrono::ChQuaternion & | GetRot () const

## Friends
class | RoboSimian

## Additional Inherited Members
Protected Member Functions inherited from chrono::robosimian::RS_Part
void | AddVisualizationAssets (VisualizationType vis)
void | AddCollisionShapes ()
Protected Attributes inherited from chrono::robosimian::RS_Part
std::string | m_name
| subsystem name
std::shared_ptr< chrono::ChBodyAuxRef > | m_body
| rigid body
std::shared_ptr< ChContactMaterial > | m_mat
| contact material (shared among all shapes)
std::vector< BoxShape > | m_boxes
| set of collision boxes
std::vector< SphereShape > | m_spheres
| set of collision spheres
std::vector< CylinderShape > | m_cylinders
| set of collision cylinders
std::vector< MeshShape > | m_meshes
| set of collision meshes
std::string | m_mesh_name
| visualization mesh name
chrono::ChVector3d | m_offset
| offset for visualization mesh
chrono::ChColor | m_color
| visualization asset color

## Member Function Documentation

## ◆ Initialize()

void chrono::robosimian::RS_Sled::Initialize | ( | std::shared_ptr< chrono::ChBodyAuxRef > | chassis,
|  | const chrono::ChVector3d & | xyz,
|  | const chrono::ChVector3d & | rpy )

Initialize the sled at the specified position (relative to the chassis).

Parameters

  chassis | chassis body
  xyz | location (relative to chassis)
  rpy | roll-pitch-yaw (relative to chassis)

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/robot/robosimian/RoboSimian.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/robot/robosimian/RoboSimian.cpp